# Install

```shell
$ npm install --save appboy-web-sdk
```

This will install the Braze Web SDK files into `./node_modules/appboy-web-sdk` where you can reference them locally. Note that the Braze Web SDK is meant to be used client-side in a web application and may not work as expected in a Node.js server environment.

# Usage

```javascript
var appboy = require('appboy-web-sdk');
appboy.initialize('YOUR-API-KEY', { baseUrl: 'YOUR-SDK-ENDPOINT' });
appboy.display.automaticallyShowNewInAppMessages();
appboy.openSession();
```

See the [Public Github Repo](https://github.com/Appboy/appboy-web-sdk#readme) for getting started instructions or [our documentation pages](https://www.braze.com/docs/developer_guide/platform_integration_guides/web/initial_sdk_setup/) for use-case based documentation.
